Bug 1459375 - xfs: inconsistent {RECLAIM_FS-ON-W} -> {IN-RECLAIM_FS-W} usage.
xfs: inconsistent {RECLAIM_FS-ON-W} -> {IN-RECLAIM_FS-W} usage.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 21:02 EDT by Andrew Vagin
Modified: 2017-12-12 05:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:41:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Vagin 2017-06-06 21:02:52 EDT
Description of problem:
[  811.952316] =================================
[  811.952412] [ INFO: inconsistent lock state ]
[  811.952508] 4.11.3-200.fc25.x86_64+debug #1 Not tainted
[  811.952646] ---------------------------------
[  811.952752] inconsistent {RECLAIM_FS-ON-W} -> {IN-RECLAIM_FS-W} usage.
[  811.952906] kswapd0/43 [HC0[0]:SC0[0]:HE1:SE1] takes:
[  811.953033]  (&sb->s_type->i_mutex_key#12){++++?+}, at: [<ffffffffc014551a>] xfs_ilock+0x13a/0x210 [xfs]
[  811.953315] {RECLAIM_FS-ON-W} state was registered at:
[  811.953441]   mark_held_locks+0x76/0xa0
[  811.953532]   lockdep_trace_alloc+0x7d/0xe0
[  811.953638]   kmem_cache_alloc+0x2f/0x2d0
[  811.953764]   kmem_zone_alloc+0x81/0x120 [xfs]
[  811.953907]   xfs_trans_alloc+0x6c/0x130 [xfs]
[  811.954057]   xfs_setattr_nonsize+0x239/0x560 [xfs]
[  811.954219]   xfs_vn_setattr_nonsize+0x59/0x150 [xfs]
[  811.954366]   xfs_vn_setattr+0x66/0xb0 [xfs]
[  811.954470]   notify_change+0x2ee/0x440
[  811.954564]   chmod_common+0xc5/0x150
[  811.954654]   SyS_fchmod+0x53/0x90
[  811.954737]   do_syscall_64+0x6c/0x1f0
[  811.954827]   return_from_SYSCALL_64+0x0/0x7a
[  811.954933] irq event stamp: 10471
[  811.955023] hardirqs last  enabled at (10471): [<ffffffffb998679c>] _raw_spin_unlock_irq+0x2c/0x40
[  811.955239] hardirqs last disabled at (10470): [<ffffffffb998658b>] _raw_spin_lock_irq+0x1b/0x80
[  811.955438] softirqs last  enabled at (9942): [<ffffffffb998c003>] __do_softirq+0x3a3/0x4d9
[  811.955636] softirqs last disabled at (9931): [<ffffffffb90ba778>] irq_exit+0x108/0x110
[  811.955828] 
               other info that might help us debug this:
[  811.955996]  Possible unsafe locking scenario:

[  811.956149]        CPU0
[  811.956211]        ----
[  811.956277]   lock(&sb->s_type->i_mutex_key#12);
[  811.956392]   <Interrupt>
[  811.956459]     lock(&sb->s_type->i_mutex_key#12);
[  811.956576] 
                *** DEADLOCK ***

[  811.956728] 2 locks held by kswapd0/43:
[  811.956819]  #0:  (shrinker_rwsem){++++..}, at: [<ffffffffb9232eae>] shrink_slab.part.44+0x5e/0x600
[  811.957046]  #1:  (&type->s_umount_key#33){++++++}, at: [<ffffffffb92d031b>] trylock_super+0x1b/0x50
[  811.957267] 
               stack backtrace:
[  811.957373] CPU: 1 PID: 43 Comm: kswapd0 Not tainted 4.11.3-200.fc25.x86_64+debug #1
[  811.957549] Hardware name: Parallels Software International Inc. Parallels Virtual Platform/Parallels Virtual Platform, BIOS 6.12.26068.1232434 02/27/2017
[  811.957862] Call Trace:
[  811.957934]  dump_stack+0x86/0xc3
[  811.958029]  print_usage_bug+0x1d0/0x1e0
[  811.958123]  mark_lock+0x568/0x5d0
[  811.958223]  ? kvm_sched_clock_read+0x25/0x40
[  811.958326]  ? check_usage_backwards+0x170/0x170
[  811.958434]  __lock_acquire+0x70f/0x1450
[  811.958528]  lock_acquire+0xe3/0x1d0
[  811.958617]  ? lock_acquire+0xe3/0x1d0
[  811.958740]  ? xfs_ilock+0x13a/0x210 [xfs]
[  811.958868]  ? xfs_inactive+0xec/0x130 [xfs]
[  811.958977]  down_write_nested+0x55/0xc0
[  811.959104]  ? xfs_ilock+0x13a/0x210 [xfs]
[  811.959250]  xfs_ilock+0x13a/0x210 [xfs]
[  811.959375]  xfs_inactive+0xec/0x130 [xfs]
[  811.959502]  xfs_fs_destroy_inode+0xbb/0x2d0 [xfs]
[  811.959634]  destroy_inode+0x3b/0x60
[  811.959731]  evict+0x139/0x1c0
[  811.959807]  dispose_list+0x56/0x80
[  811.959891]  prune_icache_sb+0x5a/0x80
[  811.959999]  super_cache_scan+0x14e/0x1a0
[  811.960100]  shrink_slab.part.44+0x216/0x600
[  811.960216]  shrink_slab+0x29/0x30
[  811.960299]  shrink_node+0x108/0x320
[  811.960386]  kswapd+0x3a3/0x9a0
[  811.960465]  kthread+0x117/0x150
[  811.960545]  ? mem_cgroup_shrink_node+0x300/0x300
[  811.960656]  ? kthread_create_on_node+0x70/0x70
[  811.960762]  ret_from_fork+0x31/0x40



Version-Release number of selected component (if applicable):
[root@zdtm ~]# uname -a
Linux zdtm.openvz.org 4.11.3-200.fc25.x86_64+debug #1 SMP Thu May 25 18:38:32 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
n/a

Steps to Reproduce:
1. git clone https://github.com/xemul/criu
2. make
3. Run criu tests
python test/zdtm.py

Actual results:
The kernel reports "inconsistent lock state"

Expected results:
The kernel runs without warnings


Additional info:
Comment 1 Fedora End Of Life 2017-11-16 14:50:43 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:41:27 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.